'use strict';
 export class DataTypes { 
 static get dataTypes() { 
 return {
  "HMI.SolidColorType": {
    "DataType": "ElementaryType"
  },
  "HMI.GradientColorType": {
    "DataType": "ElementaryType"
  },
  "LREAL": {
    "DataType": "ElementaryType"
  },
  "BOOL": {
    "DataType": "ElementaryType"
  },
  "DINT": {
    "DataType": "ElementaryType"
  },
  "DWORD": {
    "DataType": "ElementaryType"
  },
  "DATE_AND_TIME": {
    "DataType": "ElementaryType"
  },
  "STRING": {
    "DataType": "ElementaryType"
  },
  "LINT": {
    "DataType": "ElementaryType"
  },
  "BYTE": {
    "DataType": "ElementaryType"
  },
  "HMI.RowStyle": {
    "Fields": {
      "RowHeight": "STRING",
      "BorderThickness": "LREAL",
      "BorderColor": "HMI.SolidColorType",
      "BackgroundColor": "HMI.GradientColorType",
      "BackgroundColorEven": "HMI.GradientColorType",
      "BackgroundColorFilter": "HMI.GradientColorType",
      "FontName": "STRING",
      "FontSize": "BYTE",
      "TextColor": "HMI.SolidColorType",
      "TextColorFilter": "HMI.SolidColorType",
      "FontItalic": "BOOL",
      "FontBold": "BOOL",
      "FontUnderlined": "BOOL"
    },
    "DataType": "StructureType"
  },
  "HMI.BorderStyleType": {
    "Values": [
      "Solid",
      "Dash",
      "Dot",
      "None"
    ],
    "DisplayValues": [
      "Непрерывный",
      "Пунктир",
      "Точка",
      "Нет"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.TileType": {
    "Values": [
      "No",
      "Tile",
      "Fill",
      "Center"
    ],
    "DisplayValues": [
      "Нет",
      "Мозаика",
      "Заполнение",
      "Центр"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.SaveStateType": {
    "Values": [
      "Default",
      "Yes",
      "No"
    ],
    "DisplayValues": [
      "По умолчанию",
      "Да",
      "Нет"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.DockType": {
    "Values": [
      "Up",
      "Down",
      "Right",
      "Left"
    ],
    "DisplayValues": [
      "Верх",
      "Низ",
      "Право",
      "Лево"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.HorizontalAlignType": {
    "Values": [
      "Left",
      "Center",
      "Right"
    ],
    "DisplayValues": [
      "Лево",
      "Центр",
      "Право"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.VerticalAlignType": {
    "Values": [
      "Top",
      "Center",
      "Bottom"
    ],
    "DisplayValues": [
      "Верх",
      "Центр",
      "Низ"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.OrientationType": {
    "Values": [
      "Horizontal",
      "Vertical"
    ],
    "DisplayValues": [
      "Горизонтально",
      "Вертикально"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.HorizontalAlignTypeExt": {
    "Values": [
      "Left",
      "Center",
      "Right",
      "Stretch"
    ],
    "DisplayValues": [
      "Лево",
      "Центр",
      "Право",
      "Растянуть"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.VerticalAlignTypeExt": {
    "Values": [
      "Top",
      "Center",
      "Bottom",
      "Stretch"
    ],
    "DisplayValues": [
      "Верх",
      "Центр",
      "Низ",
      "Растянуть"
    ],
    "DataType": "EnumeratedType"
  },
  "SizeType": {
    "Values": [
      "Pixel",
      "Relative"
    ],
    "DisplayValues": [
      "Абсолютно",
      "Относительно"
    ],
    "DataType": "EnumeratedType"
  },
  "ProportionType": {
    "Values": [
      "No",
      "Width",
      "Height",
      "Min",
      "Max"
    ],
    "DisplayValues": [
      "Нет",
      "По ширине",
      "По высоте",
      "По минимальной стороне",
      "По максимальной стороне"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.SizeToContentType": {
    "Values": [
      "RealSize",
      "SetSize",
      "Crop",
      "Scroll"
    ],
    "DisplayValues": [
      "Исходный размер",
      "Подогнать",
      "Обрезать",
      "Прокрутить"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.LayoutType": {
    "Values": [
      "Up",
      "Down",
      "Left",
      "Right"
    ],
    "DisplayValues": [
      "Верх",
      "Низ",
      "Лево",
      "Право"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.AnchorType": {
    "Values": [
      "None",
      "Up",
      "Down",
      "Right",
      "Left"
    ],
    "DisplayValues": [
      "Нет",
      "Верх",
      "Низ",
      "Право",
      "Лево"
    ],
    "DataType": "EnumeratedType"
  },
  "UINT": {
    "DataType": "ElementaryType"
  },
  "TIME": {
    "DataType": "ElementaryType"
  },
  "HMI.FilterCombineType": {
    "Values": [
      "Or",
      "And"
    ],
    "DisplayValues": [
      "Или",
      "И"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.FilterCompareType": {
    "Values": [
      "Contains",
      "==",
      ">",
      "<",
      ">=",
      "<=",
      "!="
    ],
    "DisplayValues": [
      "Содержит",
      "==",
      ">",
      "<",
      ">=",
      "<=",
      "!="
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.FilterConditionType": {
    "Values": [
      "Compare",
      "OfType",
      "RelatedTo"
    ],
    "DisplayValues": [
      "Сравнение значений",
      "Принадлежность типу",
      "Отношение к узлу"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.JOURNALCONDITION": {
    "Fields": {
      "Value": "STRING",
      "CompareType": "HMI.FilterCompareType",
      "MessageField": "STRING",
      "ConditionType": "HMI.FilterConditionType"
    },
    "DataType": "StructureType"
  },
  "HMI.JournalConditions": {
    "TypeOfElementsName": "HMI.JOURNALCONDITION",
    "Subranges": [
      1
    ],
    "DataType": "ArrayType"
  },
  "HMI.JOURNALFILTER": {
    "Fields": {
      "Enabled": "BOOL",
      "CombineType": "HMI.FilterCombineType",
      "CanDisable": "BOOL",
      "Condition": "HMI.JournalConditions"
    },
    "DataType": "StructureType"
  },
  "HMI.JournalFilters": {
    "TypeOfElementsName": "HMI.JOURNALFILTER",
    "Subranges": [
      1
    ],
    "DataType": "ArrayType"
  },
  "HMI.SortType": {
    "Values": [
      "No",
      "Asc",
      "Desc"
    ],
    "DisplayValues": [
      "Нет",
      "По возрастанию",
      "По убыванию"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.JOURNALCOLUMN": {
    "Fields": {
      "DisplayName": "STRING",
      "ColumnWidth": "STRING",
      "Field": "STRING",
      "FieldType": "STRING",
      "ValueFormat": "STRING",
      "Sort": "HMI.SortType",
      "SortPosition": "BYTE",
      "Visibility": "BOOL",
      "HorizontalAlign": "HMI.HorizontalAlignType",
      "EnableFilter": "BOOL"
    },
    "DataType": "StructureType"
  },
  "HMI.JournalColumns": {
    "TypeOfElementsName": "HMI.JOURNALCOLUMN",
    "Subranges": [
      5
    ],
    "DataType": "ArrayType"
  },
  "HMI.EventChangeType": {
    "Values": [
      "None",
      "Activated",
      "Deactivated",
      "Acknowledged"
    ],
    "DisplayValues": [
      "Нет",
      "Появление",
      "Исчезновение",
      "Квитирование"
    ],
    "DataType": "EnumeratedType"
  },
  "REF_TO": {
    "DataType": "ElementaryType"
  },
  "HMI.KeyboardType": {
    "Values": [
      "English",
      "Russian",
      "NumPad"
    ],
    "DisplayValues": [
      "Английский",
      "Русский",
      "Цифры"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.KeyboardVisibilityType": {
    "Values": [
      "None",
      "Always",
      "OnFocus"
    ],
    "DisplayValues": [
      "Нет",
      "Всегда",
      "При фокусе"
    ],
    "DataType": "EnumeratedType"
  },
  "INT": {
    "DataType": "ElementaryType"
  },
  "HMI.AttachType": {
    "Values": [
      "Control",
      "Parent"
    ],
    "DisplayValues": [
      "Контрол",
      "Родитель"
    ],
    "DataType": "EnumeratedType"
  },
  "TIME_OF_DAY": {
    "DataType": "ElementaryType"
  },
  "HMI.DateTimeType_Full": {
    "Values": [
      "Date_Type",
      "DateTime_Type",
      "TimeDate_Type",
      "Time_Type"
    ],
    "DisplayValues": [
      "Дата",
      "Дата Время",
      "Время Дата",
      "Время"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.LineJoin": {
    "Values": [
      "Line",
      "StairsUp"
    ],
    "DisplayValues": [
      "Линия",
      "Ступенька"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.PenPointType": {
    "Values": [
      "None",
      "Rect",
      "Circle",
      "Triangle",
      "Diamond",
      "Cross"
    ],
    "DisplayValues": [
      "Нет",
      "Квадрат",
      "Круг",
      "Треугольник",
      "Ромб",
      "Крест"
    ],
    "DataType": "EnumeratedType"
  },
  "HMI.TRENDPEN": {
    "Fields": {
      "MinY": "LREAL",
      "MaxY": "LREAL",
      "Color": "HMI.SolidColorType",
      "LineStyle": "HMI.BorderStyleType",
      "DataSource": "LREAL",
      "Unit": "STRING",
      "YFormat": "STRING",
      "TickCountY": "INT",
      "Thickness": "LREAL",
      "DrawConstant": "BOOL",
      "IsVisible": "BOOL",
      "LineJoin": "HMI.LineJoin",
      "Autoscale": "BOOL",
      "PointType": "HMI.PenPointType",
      "PointSize": "LREAL",
      "ShowAxis": "BOOL"
    },
    "DataType": "StructureType"
  },
  "HMI.TrendPens": {
    "TypeOfElementsName": "HMI.TRENDPEN",
    "Subranges": [
      5
    ],
    "DataType": "ArrayType"
  },
  "DATE": {
    "DataType": "ElementaryType"
  },
  "REAL": {
    "DataType": "ElementaryType"
  }
}

}

}