import { Action } from './Action.js';
/**
 * @class ExitFullscreen
 * @extends Action
 * @classdesc     
 * */
export class ExitFullscreen extends Action {		
    execute() {
        const fullDoc = document.fullscreenElement ||
            document.mozFullscreenElement ||
            document.webkitFullscreenElement;
        if (fullDoc) {
            document.exitFullscreen();
        }
    }      
}