import { WorkerAdapter } from "./WorkerAdapter.js"
import { HttpAdapter } from "./HttpAdapter.js"

export class ServerAdapterFactory {

    static GetAdapterInstance(id, type = 0) {
        switch (type) {
        case 0: //main process
            return new HttpAdapter(id);
        case 1: // worker process
            return new WorkerAdapter(id);
        }
    }
}